OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Supporting 2.6 and up
Rhybot
Phidgetly
Posts: 32
Joined: Wed Aug 14, 2019 4:58 pm
Contact:

OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Postby Rhybot » Thu Oct 01, 2020 3:44 pm

I am using Phidget22==1.6.20200921 with Python 3.8.5 on a 64-bit architecture machine with the OS Debian 10.5 (Buster).

I am getting this error:

Code: Select all

OSError: libphidget22.so.0: cannot open shared object file: No such file or directory


I see from this forum post (libphidget22.so.0.0.0: cannot open shared object file, https://www.phidgets.com/phorum/viewtopic.php?t=8268) instructs the person to install Phidgets via apt-get per the instructions here: https://www.phidgets.com/docs/OS_-_Linux#Debian%20Install%20(Non-Root).

However, when I update my package list via apt-get update, I get this:

Code: Select all

N: Skipping acquire of configured file 'main/binary-amd64/Packages' as repository 'http://www.phidgets.com/debian stretch InRelease' doesn't support architecture 'amd64'


Consequently, when I run sudo apt-get install libphidget22, I get:

Code: Select all

E: Unable to locate package libphidget22


Any ideas as to what I can do?

Rhybot
Phidgetly
Posts: 32
Joined: Wed Aug 14, 2019 4:58 pm
Contact:

Re: OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Postby Rhybot » Thu Oct 01, 2020 3:53 pm

Reading more, I realized I was supposed to update the /etc/apt/sources.list.d/phidgets.list file to include buster.

Doing so I now get a new error:

Code: Select all

Ign:4 http://www.phidgets.com/debian buster InRelease
Err:5 http://www.phidgets.com/debian buster Release
  404  Not Found [IP: 206.251.255.126 80]
Reading package lists... Done
E: The repository 'http://www.phidgets.com/debian buster Release' does not have a Release file.


Which makes sense, as the there's no mention of Buster support in the docs.

User avatar
Patrick
Lead Developer
Posts: 3197
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Postby Patrick » Fri Oct 02, 2020 12:22 pm

We don't have packages for Debian 10 or amd64 - you'll need to install the library from source.

-Patrick

Rhybot
Phidgetly
Posts: 32
Joined: Wed Aug 14, 2019 4:58 pm
Contact:

Re: OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Postby Rhybot » Fri Oct 02, 2020 12:42 pm

Can you provide some pointers/starters on how that can be done?


Rhybot
Phidgetly
Posts: 32
Joined: Wed Aug 14, 2019 4:58 pm
Contact:

Re: OSError: libphidget22.so on Debian 10.5 --> how to install Phidgets?

Postby Rhybot » Mon Oct 05, 2020 3:46 pm

Ah I see, thanks for pointing that out. My brain last Friday failed to connect the dots.

Anyways, that worked, and thank you @Patrick!


Return to “Linux”

Who is online

Users browsing this forum: No registered users and 1 guest